"use weex:vue";

if (typeof Promise !== 'undefined' && !Promise.prototype.finally) {
  Promise.prototype.finally = function(callback) {
    const promise = this.constructor
    return this.then(
      value => promise.resolve(callback()).then(() => value),
      reason => promise.resolve(callback()).then(() => {
        throw reason
      })
    )
  }
};

if (typeof uni !== 'undefined' && uni && uni.requireGlobal) {
  const global = uni.requireGlobal()
  ArrayBuffer = global.ArrayBuffer
  Int8Array = global.Int8Array
  Uint8Array = global.Uint8Array
  Uint8ClampedArray = global.Uint8ClampedArray
  Int16Array = global.Int16Array
  Uint16Array = global.Uint16Array
  Int32Array = global.Int32Array
  Uint32Array = global.Uint32Array
  Float32Array = global.Float32Array
  Float64Array = global.Float64Array
  BigInt64Array = global.BigInt64Array
  BigUint64Array = global.BigUint64Array
};


(()=>{var w=Object.create;var b=Object.defineProperty;var N=Object.getOwnPropertyDescriptor;var v=Object.getOwnPropertyNames;var x=Object.getPrototypeOf,I=Object.prototype.hasOwnProperty;var C=(e,n)=>()=>(n||e((n={exports:{}}).exports,n),n.exports);var O=(e,n,o,s)=>{if(n&&typeof n=="object"||typeof n=="function")for(let t of v(n))!I.call(e,t)&&t!==o&&b(e,t,{get:()=>n[t],enumerable:!(s=N(n,t))||s.enumerable});return e};var f=(e,n,o)=>(o=e!=null?w(x(e)):{},O(n||!e||!e.__esModule?b(o,"default",{value:e,enumerable:!0}):o,e));var l=C((T,g)=>{g.exports=Vue});var p=f(l()),B=Object.prototype.toString,m=e=>B.call(e),y=e=>m(e).slice(8,-1);function E(){return typeof __channelId__=="string"&&__channelId__}function j(e,n){switch(y(n)){case"Function":return"function() { [native code] }";default:return n}}function L(e,n,o){return E()?(o.push(n.replace("at ","uni-app:///")),console[e].apply(console,o)):o.map(function(t){let c=m(t).toLowerCase();if(["[object object]","[object array]","[object module]"].indexOf(c)!==-1)try{t="---BEGIN:JSON---"+JSON.stringify(t,j)+"---END:JSON---"}catch(a){t=c}else if(t===null)t="---NULL---";else if(t===void 0)t="---UNDEFINED---";else{let a=y(t).toUpperCase();a==="NUMBER"||a==="BOOLEAN"?t="---BEGIN:"+a+"---"+t+"---END:"+a+"---":t=String(t)}return t}).join("---COMMA---")+" "+n}function i(e,n,...o){let s=L(e,n,o);s&&console[e](s)}function d(){return uni.getSubNVueById(plus.webview.currentWebview().id)}var h=(e,n)=>{let o=e.__vccOpts||e;for(let[s,t]of n)o[s]=t;return o};var r=f(l()),D={"banner-wrap":{"":{position:"relative",display:"flex",justifyContent:"center",alignItems:"center"}}},A=(0,r.defineComponent)({setup(e){let o=(0,r.ref)("100"),s=d();-uni.getSystemInfoSync().windowBottom;let t=a=>{o.value=Math.round(675*a.detail.rate),i("log","at components/nvue/banner.nvue:23","banner_height.value",o.value),s.setStyle({height:uni.upx2px(o.value)+"px"}),s.show("none",0,()=>{})},c=a=>{i("log","at components/nvue/banner.nvue:45","onInit"),i("log","at components/nvue/banner.nvue:46","emit banner-close"),s.hide("none",0)};return(a,V)=>{let S=(0,r.resolveComponent)("BannerComponent");return(0,r.openBlock)(),(0,r.createElementBlock)("scroll-view",{scrollY:!0,showScrollbar:!0,enableBackToTop:!0,bubble:"true",style:{flexDirection:"column"}},[(0,r.createElementVNode)("div",{class:"banner-wrap",style:(0,r.normalizeStyle)("width:750rpx;height:"+o.value+"rpx;")},[(0,r.createVNode)(S,{bannerIdx:100,style:(0,r.normalizeStyle)("width:675rpx;height:"+o.value+"rpx"),onInit:t,onClose:c,class:"ad-banner"},null,8,["style"])],4)])}}}),u=h(A,[["styles",[D]]]);var _=plus.webview.currentWebview();if(_){let e=parseInt(_.id),n="components/nvue/banner",o={};try{o=JSON.parse(_.__query__)}catch(t){}u.mpType="page";let s=Vue.createPageApp(u,{$store:getApp({allowDefault:!0}).$store,__pageId:e,__pagePath:n,__pageQuery:o});s.provide("__globalStyles",Vue.useCssStyles([...__uniConfig.styles,...u.styles||[]])),s.mount("#root")}})();
